> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Source of Funds questions



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/source-of-funds
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/source-of-funds:
    get:
      tags:
        - KYC
      summary: Retrieve Source of Funds questions
      parameters:
        - in: query
          name: locale
          schema:
            type: string
          description: The locale for translating currency values (e.g., 'BR', 'UK')
      responses:
        '200':
          description: Successfully retrieved the Source of Funds questions.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/KycQuestion'
        '401':
          description: Unauthorized access.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message.
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    KycQuestion:
      type: object
      properties:
        question:
          type: string
          description: The text of the question.
        answers:
          type: array
          items:
            type: string
          description: The possible answers to the question.
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  responses:
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````